# AWS Managed Policies

### Setting managed policies

> An AWS managed policy is a standalone policy that is created and administered by AWS.
>
> — [AWS documentation](https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_managed-vs-inline.html)

## User managed policies

The user managed policy applies to the learner that is taking the track. These permissions should be limited to the least access necessary to complete the track

## Admin managed policies

An admin managed policy is the policy that applies to the lifecycle scripts. This can be an elevated permission to deploy resources on the cloud when a sandbox is deployed.

## Example managed policy

The managed policies method is easier than the IAM and SCP policies but may grant learners more than the minimum access required to complete a track. The following example grants **Virtual Private Cloud (VPC)** administrator access, which allows learners to create and manage VPC networks:

{% tabs %}
{% tab title="🌐 Web UI" %}
Update your AWS account by entering the following in the **User** **Managed Policies** field:

```
arn:aws:iam::aws:policy/AmazonVPCFullAccess
```

And clicking **Add**.
{% endtab %}

{% tab title="💻 Instruqt CLI" %}
Edit your `config.yml` file to include this content:

```json
aws_accounts:
- name: awsaccount
  managed_policies:
  - arn:aws:iam::aws:policy/AmazonVPCFullAccess
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
See [AWS managed policies](https://docs.aws.amazon.com/IAM/latest/UserGuide/access_policies_managed-vs-inline.html) on the AWS docs site for more information.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.instruqt.com/sandboxes/cloud-accounts/aws-accounts/aws-managed-policies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
